package cn.teammodel.controller;

import cn.teammodel.common.R;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/")
public class HelloController {

    @GetMapping("hello")
    @PreAuthorize("@ss.hasRole('admin')")
    public R hello() {
        System.out.println(SecurityContextHolder.getContext().getAuthentication());
        return new R(200, "success","hello world");
    }
}